Qwt User's Guide 5.2.3

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtCompassRose Class Reference

`#include <qwt_compass_rose.h>`

Inheritance diagram for QwtCompassRose:
[legend]

List of all members.

## Public Member Functions

virtual void | draw (QPainter *painter, const QPoint &center, int radius, double north, QPalette::ColorGroup colorGroup=QPalette::Active) const =0
const QPalette & | palette () const
virtual void | setPalette (const QPalette &p)

## Detailed Description

Abstract base class for a compass rose.

## Member Function Documentation

virtual void QwtCompassRose::draw | ( | QPainter * | painter,
|  | const QPoint & | center,
|  | int | radius,
|  | double | north,
|  | QPalette::ColorGroup | colorGroup = `QPalette::Active`
| ) |  | const

pure virtual

Draw the rose

Parameters:

  painter | Painter
  center | Center point
  radius | Radius of the rose
  north | Position
  colorGroup | Color group

Implemented in QwtSimpleCompassRose.

const QPalette& QwtCompassRose::palette | ( |  | ) | const

inline

Returns:
  Current palette